0.80: Lovelace updates, webhooks, TRÅDFRI switches


#42

I find the breaking changes [0.80] to Google Assistant confusing.
The headline says:
Use Home Assistant Cloud to integrate with Google Assistant without any effort.

One paragraph down the next headline says:
To use Google Assistant, your Home Assistant configuration has to be externally accessible with a hostname and SSL certificate. If you haven’t already configured that, you should do so before continuing.

So, which is it?
If one is required to have a hostname & SSL certificate, what is the point in a Cloud account?


#43

If you use the google assistant behind a reverse proxy, you’ll need some extra paths for oAuth2. This is what i needed:

Proxypass /api/google_assistant http://xxx.xxx.xxx.xxx:8123/api/google_assistant disablereuse=on
ProxyPassReverse /api/google_assistant http://xxx.xxx.xxx.xxx:8123/api/google_assistant
Proxypass /auth http://xxx.xxx.xxx.xxx:8123/auth disablereuse=on
ProxyPassReverse /auth http://xxx.xxx.xxx.xxx:8123/auth
Proxypass /frontend_latest http://xxx.xxx.xxx.xxx:8123/frontend_latest disablereuse=on


#44

Anyone using Caddy and Google Assistant?


#45

If you use Home Assistant Cloud, you can do everything via the configuration panel in the user interface. The instructions you’re reading are for the manual installation if you want to do it yourself.


#46

Thanks for this. Hopefully your example can be included in the documentation instead of a forum post.


#47

Thanks for the reply.
The instructions are not very explicit, but I guessed that was the case.
Perhaps improved documentation might help


#48

Since 0.80 i can’t create new automations in the automation editor with Google Chrome. It shows a blank page. Some existing automations aren’t editable too, showing the same blank page.

I do not have this issue when using Microsoft Edge.

The google chrome console shows:
Uncaught (in promise) TypeError: Cannot read property ‘hours’ of undefined
at state_StateTrigger.render (286a08fb18870c9c81b7.chunk.js:1)
at renderComponent (8752a4221f36038e73c0.chunk.js:1)
at setComponentProps (8752a4221f36038e73c0.chunk.js:1)
at buildComponentFromVNode (8752a4221f36038e73c0.chunk.js:1)
at idiff (8752a4221f36038e73c0.chunk.js:1)
at innerDiffNode (8752a4221f36038e73c0.chunk.js:1)
at idiff (8752a4221f36038e73c0.chunk.js:1)
at diff (8752a4221f36038e73c0.chunk.js:1)
at renderComponent (8752a4221f36038e73c0.chunk.js:1)
at setComponentProps (8752a4221f36038e73c0.chunk.js:1)


#49

Yes the Google Integration works perfectly with Caddy - This is what I am using.


#50

There are migrating to 0.8 instructions here:

see also this post here:

Above is assuming your using google assistant, but not using the new cloud component.


#51

This was an error in previous release’s document, ?api_password should not be used at all. I had corrected the document prior 0.80 release.


#52

This option was never worked for Google Assistant component, it didn’t reported as invalid config was because the previous implementation allowed pass in extra config, which I disallowed in 0.80 to force the breaking change.

I am not sure which version of document you was following to set up your config, I won’t be able to find that option be used in the entire history of Google Assistant component.


#53

Interesting. Bc my config was working fine pre 0.8 and it had the api_password bit on the end of the build URL. And after following the migration to 0.8 instructions I had a 404 error. So I went through the long instructions and found the build URL was now different to what I had.


#54

api_password is unnecessary for prior 0.80 release, since that Google Assistant API endpoint didn’t verify api_password at all. That was an error in document.


#55

Ahh I see. I guess even though it wasn’t needed it still worked and didn’t give an error, however after the upgrade to 0.8 it gives a 404 error. Hopefully anyone else who had this error will stumble across this solution.


#56

This is not the place to report issues, please open at


#57

Oh good, do you mind helping me out? Are you on HASSIO, if yes, are you using this addon?


#58

Yes on Hass.io and yes using that addon


#59

Hey All,

First off: Great platform, nice update frequency and yes I fully understand (and accept) that an open source platform such as this will have it’s hickups from time to time.

After the upgrade to 0.80 my Google Maps Location sharing isn’t working anymore. It’s either keeping the last known location from before the update or it gives an error:

Error setting up platform google_maps

Traceback (most recent call last):
  File "/usr/local/lib/python3.6/site-packages/locationsharinglib/locationsharinglib.py", line 109, in _populate
    self._charging = data[13][0]
TypeError: 'NoneType' object is not subscriptable

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/local/lib/python3.6/site-packages/homeassistant/components/device_tracker/__init__.py", line 184, in async_setup_platform
    disc_info)
  File "/usr/local/lib/python3.6/concurrent/futures/thread.py", line 56, in run
    result = self.fn(*self.args, **self.kwargs)
  File "/usr/local/lib/python3.6/site-packages/homeassistant/components/device_tracker/google_maps.py", line 46, in setup_scanner
    scanner = GoogleMapsScanner(hass, config, see)
  File "/usr/local/lib/python3.6/site-packages/homeassistant/components/device_tracker/google_maps.py", line 66, in __init__
    self._update_info()
  File "/usr/local/lib/python3.6/site-packages/homeassistant/components/device_tracker/google_maps.py", line 78, in _update_info
    for person in self.service.get_all_people():
  File "/usr/local/lib/python3.6/site-packages/locationsharinglib/locationsharinglib.py", line 459, in get_all_people
    people = self.get_shared_people() + [self.get_authenticated_person()]
  File "/usr/local/lib/python3.6/site-packages/locationsharinglib/locationsharinglib.py", line 451, in get_authenticated_person
    None,
  File "/usr/local/lib/python3.6/site-packages/locationsharinglib/locationsharinglib.py", line 95, in __init__
    self._populate(data)
  File "/usr/local/lib/python3.6/site-packages/locationsharinglib/locationsharinglib.py", line 113, in _populate
    raise InvalidData
locationsharinglib.locationsharinglibexceptions.InvalidData

I have rebooted (and powercycled) numerous times to no avail. Any suggestions would be very much apprectiated, since most automations use these locations either as trigger or condition.

MG

Addition (14-10-2018 / 13:42):

I notice that the file /config/.google_maps_location_sharing.cookies has the following line in it:

‘utf-8’ codec can’t decode byte 0x80 in position 0: invalid start byte

I deleted the cookies file and restarted. No result…


#60

Looks similar to an already reported issue


#61

Thank you!